stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
stdex::sys_info_t Struct Reference

System information. More...

`#include <stdex/sys_info.hpp>`

## Static Public Member Functions
static bool | is_screen_reader ()
| Is screen reader currently active?

## Public Attributes
platform_id | os_platform
| The platform this process was compiled for.
bool | interactive_process
| Is interactive process?
bool | admin
| Is member of local group Administrators (Windows) or member of group wheel/sudoers (others)?
bool | elevated
| Is elevated process (Windows) or running as root (others)?
sstring | username
| Currently signed in user.

## Protected Attributes
struct utsname | m_utsn

## Detailed Description

System information.

## Member Data Documentation

## ◆ os_platform

platform_id stdex::sys_info_t::os_platform

The platform this process was compiled for.

The operating system platform

The documentation for this struct was generated from the following file:

- include/stdex/sys_info.hpp